# Generated from jekyll-components-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jekyll-components

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: A Jekyll library for building component-based UI
License: MIT
URL: https://github.com/helpscout/jekyll-components
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(minitest-profile)
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(nokogiri) >= 1.8.2
# BuildRequires: rubygem(nokogiri) < 1.9
# BuildRequires: rubygem(rspec-mocks)
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(kramdown)
BuildArch: noarch

%description
A Jekyll library for building component-based UI.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/examples
%{gem_instdir}/jekyll-components.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
